'Patch for the installation of the Visual Studio Help Integration Kit without need to have VS.NET
'already installed
'
' Prepared by Martin Sojdr (martin@sojdr.cz), based on the WiRunSQL.vbs script supplied by MS in 
' the MS Installer SDK
'
' 06/26/2002
'

Option Explicit

Const msiOpenDatabaseModeReadOnly = 0
Const msiOpenDatabaseModeTransact = 1

' Connect to Windows installer object
On Error Resume Next
Dim installer : Set installer = Nothing
Set installer = Wscript.CreateObject("WindowsInstaller.Installer") : CheckError

' Open database
Dim databasePath:databasePath = "vshik_setup.msi"
Dim database : Set database = installer.OpenDatabase(databasePath, 1) : CheckError
Dim query, view, record, message, rowData, columnCount, delim, column
Set view = database.OpenView("DELETE FROM LaunchCondition WHERE Condition='DEVENV_COMP'") : CheckError
view.Execute : CheckError
If openMode = msiOpenDatabaseModeTransact Then database.Commit
Wscript.Quit 0

Sub CheckError
	Dim message, errRec
	If Err = 0 Then Exit Sub
	message = Err.Source & " " & Hex(Err) & ": " & Err.Description
	If Not installer Is Nothing Then
		Set errRec = installer.LastErrorRecord
		If Not errRec Is Nothing Then message = message & vbLf & errRec.FormatText
	End If
	Fail message
End Sub

Sub Fail(message)
	Wscript.Echo message
	Wscript.Quit 2
End Sub
